# Continuus Support

- CCMCheckin
- CCMCheckout
- CCMCheckinTask
- CCMReconfigure
- CCMCreateTask

These ant tasks are wrappers around Continuus Source Manager. They have been tested with version 5.1 on Windows 2000, but should work on other platforms with ccm installed.

## CCMCheckin

### Description

Task to checkin a file

### Parameters

Attribute | Values | Required
--- | --- | ---
file | Path to the file that the command will operate on | Yes
comment | Specify a comment. Default is "Checkin" plus the date | No
task | Specify the task number used to check in the file (may use 'default') | No
ccmcommand | path to the ccm executable file, required if it is not on the PATH | No

### Examples

>     <ccmcheckin file="c:/wa/com/foo/MyFile.java"
>             comment="mycomment" />

Checks in the file c:/wa/com/foo/MyFile.java. Comment attribute mycomment is added as a task comment. The task used is the one set as the default.

## CCMCheckout

### Description

Task to perform a Checkout command to Continuus

### Parameters

Attribute | Values | Required
--- | --- | ---
file | Path to the file that the command will operate on | Yes
comment | Specify a comment. | No
task | Specify the task number used to checkin the file (may use 'default') | No
ccmcommand | path to the ccm executable file, required if it is not on the PATH | No

### Examples

>     <ccmcheckout file="c:/wa/com/foo/MyFile.java"
>             comment="mycomment"/>

Check out the file c:/wa/com/foo/MyFile.java. Comment attribute mycomment is added as a task comment The used task is the one set as the default.

## CCMCheckinTask

### Description

Task to perform a check in default task command to Continuus

### Parameters

Attribute | Values | Required
--- | --- | ---
comment | Specify a comment. | No
task | Specify the task number used to check in the file (may use 'default') | No
ccmcommand | path to the ccm executable file, required if it is not on the PATH | No

### Examples

>     <ccmcheckintask comment="blahblah/>

Does a Checkin default task on all the checked out files in the current task.

## CCMReconfigure

### Description

Task to perform an reconfigure command to Continuus.

### Parameters

Attribute | Values | Required
--- | --- | ---
recurse | recurse on subproject (default false) | No
verbose | do a verbose reconfigure operation (default false) | No
ccmproject | Specifies the ccm project on which the operation is applied. | Yes
ccmcommand | path to the ccm executable file, required if it is not on the PATH | No

### Examples

>     <ccmreconfigure ccmproject="ANTCCM_TEST#BMO_1"
>              verbose="true" />

Does a Continuus reconfigure on the project ANTCCM_TEST#BMO_1.

## CCMCreateTask

### Description

Create a Continuus task.

### Parameters

Attribute | Values | Required
--- | --- | ---
comment | Specify a comment. | No
platform | Specify the target platform | No
ccmcommand | path to the ccm executable file, required if it is not on the PATH | No
resolver | Specify the resolver | No
release | Specify the CCM release | No
subsystem | Specify the subsystem | No
task | Specify the task number used to checkin the file (may use 'default') | No

### Examples

>     <ccmcreatetask resolver="${user.name}"
>                 release="ANTCCM_TEST" comment="blahblah" />

Creates a task for the release ANTCCM_TEST with the current user as the resolver for this task.